<?php

/* @var $factory \Illuminate\Database\Eloquent\Factory */

use Faker\Generator as Faker;

$factory->define(App\Candidature::class, function (Faker $faker) {
    return [
        'admission_effectuee' => $faker->boolean,
        'cours_suivi' => $faker->boolean,
        'code_permanent' => $faker->word,
        'nom' => $faker->word,
        'prenom' => $faker->word,
        'date_naissance' => $faker->date(),
        'sexe' => $faker->word,
        'citoyennete' => $faker->word,
        'ville_naissance' => $faker->word,
        'pays_naissance_id' => factory(App\Pays::class),
        'langue_usage' => $faker->word,
        'langue_maternelle' => $faker->word,
        'nom_pere' => $faker->word,
        'prenom_pere' => $faker->word,
        'nom_mere' => $faker->word,
        'numero_civique' => $faker->word,
        'rue' => $faker->word,
        'appartement' => $faker->word,
        'boite_postale' => $faker->word,
        'municipalite' => $faker->word,
        'province' => $faker->word,
        'telephone_principal' => $faker->word,
        'autre_telephone' => $faker->word,
        'couriel' => $faker->word,
        'semestre_choisi' => $faker->randomElement(['aôut/septembre', 'janvier']),
        'annee' => $faker->word,
        'regime_etude1' => $faker->randomElement(['temps complet', 'temps partiel']),
        'programme1_id' => $faker->randomNumber(),
        'regime_etude2' => $faker->randomElement(['temps complet', 'temps partiel']),
        'programme2_id' => $faker->randomNumber(),
        'baccalauriat_obtenu' => $faker->boolean,
        'nom_institution' => $faker->word,
        'pays_bac_id' => factory(App\Pays::class),
        'annee_scolaire_bac' => $faker->word,
        'autre_diplome' => $faker->boolean,
        'nom_diplome' => $faker->word,
        'nom_institution_autre_diplome' => $faker->word,
        'pays_autre_diplome_id' => factory(App\Pays::class),
        'annee_scolaire_autre_diplome' => $faker->word,
        'aucun_diplome_obtenu' => $faker->boolean,
        'femme_au_foyer' => $faker->boolean,
        'jeune_fille' => $faker->boolean,
        'a_des_enfants' => $faker->boolean,
        'nombre_enfants' => $faker->randomNumber(),
        'ages_enfants' => $faker->word,
        'lettre_motivation' => $faker->text,
        'fichier_lettre_motivation' => $faker->word,
        'nom_proprietaire' => $faker->word,
        'date_naissance_proprietaire' => $faker->date(),
        'sexe_proprietaire' => $faker->word,
        'couriel_proprietaire' => $faker->word,
        'type_paiement' => $faker->randomElement(['carte de credit', 'airtel money', 'virement bancaire', 'autre']),
        'carte_credit_id' => factory(App\CarteCredit::class),
    ];
});
